#!/usr/bin/perl

## POWERSEEK PLUGIN ########################
#
# TITLE: Template Switching Tool
# DIZ: PowerSeek comes with a number of template sets which you can use or customize. This tool enables you to switch to any of the templates that comes with PowerSeek SQL.
# GRAPHIC: ic_template2.gif
# VERSION: 1.0
# 
###########################################
 
########################################################################
# COPYRIGHT NOTICE:
#
# Copyright 2008 FocalMedia.Net All Rights Reserved.
#
# Selling the code for this program without prior written consent 
# from FocalMedia.Net is expressly forbidden. You may not 
# redistribute this program in any shape or form.
# 
# This program is distributed "as is" and without warranty of any
# kind, either express or implied. In no event shall the liability 
# of FocalMedia.Net for any damages, losses and/or causes of action 
# exceed the total amount paid by the user for this software.
#
########################################################################

#### EDIT HERE -- FOR WINDOWS/IIS BASED INSTALLATIONS ONLY #######

$config_cgi = "../config.cgi";

# THE PATH ON A WINDOWS INSTALLATION WILL LOOK SOMETHING LIKE THIS:
# $config_cgi = "c:/inetpub/webpub/cgi-bin/pseek/config.cgi";

#### DO NOT CHANGE ANYTHING BELOW THIS LINE #################

#use FindBin;
#use lib $FindBin::Bin;
use CGI;
use DBI;
use acs;
#use psfp;
&get_setup;
$q = CGI->new;

acs::check_access($username, $password, $q->param('username'), $q->param('password'));

$default_permissions = 0777; ### PERMISSIONS THAT IS USED FOR TEMPORARY DATA FILES 

##################################################################################
# not below if's - else bypassed...
print "Content-type: text/html\n\n"; 

if ($q->param('fct') eq "") {&start;}
if ($q->param('fct') eq "update_templates") {&update_templates;}
if ($q->param('fct') eq "update_templates_fin") {&update_templates_fin;}
if ($q->param('fct') eq "unpack2") {&do_unpack2;}


sub restore_defaults
{

opendir(DIR,"$data_dir");
@files = readdir(DIR);
foreach $filename (@files)
	{
	if (substr($filename, length($filename) - 4, 4) eq ".def")
		{
			$orignfn = substr($filename, 0, length($filename) - 4);
			$orignfn = $orignfn . ".html";
			
			$original_templ = acs::get_file_contents("$data_dir/$filename");
			open (DF, "> $data_dir/$orignfn");
				print DF $original_templ;
			close (DF);
			
		}
	}


$hbox = acs::get_heading_box("$web_url/ic_template.gif", "Default PowerSeek Templates Restored", qq[
<a href="$admin_url/p_tmptool.cgi">Click Here to Continue</a>
]); 


print qq[
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

$hbox

</body>
</html>
];

exit;

}



sub update_templates_fin
{


$temset = $q->param('t');
$temset =~ s/small_//g;
$temset =~ s/\.jpg//g;

if ($temset eq "000")
{
&restore_defaults;
}


opendir(DIR,"$web_dir/templates/$temset");
@files = readdir(DIR);
@files = sort(@files);

foreach $filename (@files)
	{
	if (($filename ne ".") and ($filename ne ".."))
		{
		if  ((substr($filename, length($filename) - 5, 5) eq ".html") or (substr($filename, length($filename) - 4, 4) eq ".def"))
			{
				
				$filesize = (-s "$web_dir/templates/$temset/$filename");
				open (TFILECNTS, "$web_dir/templates/$temset/$filename");
					read(TFILECNTS,$thefile,$filesize);
				close (TFILECNTS);
			
				open (TTR, "> $data_dir/$filename");
					print TTR $thefile;
				close (TTR);

				chmod($default_permissions,"$data_dir/$filename","$data_dir/$filename");  
				
			}
			#else ## IS IMAGE
			#{
			#	$filesize = (-s "$web_dir/templates/$temset/$filename");
			#	open (TFILECNTS, "$web_dir/templates/$temset/$filename");
			#	binmode(TFILECNTS);				
			#		read(TFILECNTS,$thefile,$filesize);
			#	close (TFILECNTS);
			#
			#	open (TTR, "> $web_dir/$filename");
			#	binmode(TTR);				
			#		print TTR $thefile;
			#	close (TTR);			
			#	
			#	chmod($default_permissions,"$web_dir/$filename","$web_dir/$filename");  
			#
			#}

		}
	}


$hbox = acs::get_heading_box("$web_url/ic_template2.gif", "Template Set Updated", qq[
<a href="$admin_url/p_tmptool.cgi">Click Here to Continue</a>
]); 


print qq[
<html>
<head>
<title>Template Set Updated</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css"> 
</head>
<body>
$hbox
</body>
</html>

];




}



sub update_templates
{



$small_file = $q->param('tmpl');

if ($small_file eq "") { acs::problem_popup("You have to select something"); }


$hbox = acs::get_heading_box("$web_url/ic_template2.gif", "Switch Template Set", qq[
<form method="POST" action="$admin_url/p_tmptool.cgi">
<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>
    <td valign="top">
      <input type="hidden" name="fct" value="update_templates_fin"><input type="hidden" name="t"
      value="$small_file"><p><strong>Are you sure? </strong></p>
      <p><input type="submit" value="   Yes   " name="B1"> <input type="submit" value="   No   "
      name="B2" onClick="history.go(-1); return false;"> </p>
    
    <p><font color="#FF0000"><strong>Choosing 'Yes' will result in your existing PowerSeek
    templates being discarded. <br>
    This means that any changes you have made to your existing templates will be lost. </strong></font></p>
    <p><strong>How to backup your old templates </strong></p>
    <blockquote>
      <p>Transfer all the files ending with the .html and .def extensions to your hard drive.
      These files will reside in your PowerSeek 'data' directory. Once you have these files on
      your hard drive, you may transfer it to CD or some other storage medium. The PowerSeek
      'data' directory is explained inside the PowerSeek installation instructions. The path to
      the 'data' directory is:<br>
      <strong>$data_dir</strong></p>
    </blockquote>
    <p><strong>How to restore your old templates </strong></p>
    <blockquote>
      <p>Transfer the files that you transferred to your hard drive (as explained in the backup
      instructions) back to your PowerSeek 'data' directory. Replace the files inside your
      'data' directory if your FTP client asks if it should replace the files. <strong><br>
      </strong></p>
    </blockquote>
    </td>
    <td valign="top"><img src="$web_url/templates/$small_file"> </td>
  </tr>
</table>
</form>

]);
 


print qq[
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css"> 
</head>
<body>

$hbox

</body>
</html>

];



}










sub start
{

#&check_unpacked_templates;

if ((-e "$web_dir/templates.fmp") > 0)
	{
	&do_unpack1;
	}




opendir(DIR,"$web_dir/templates");
@files = readdir(DIR);
@files = sort(@files);

$ac = 0;
foreach $filename (@files)
	{ 
	if ($filename =~ /small_/)
		{
		$small_thumbs[$ac] = "$filename";
		$ac++;
		
		#print "--> $filename<BR>";
		
		}
	}



if ($ac == 0)
	{


$hbox = acs::get_heading_box("$web_url/ic_template2.gif", "Template Switching Tool Ver: 1.0", qq[

<p><span class="normaltext">PowerSeek comes with a number of template sets. You can choose to use any one of the
template sets below and also customize the template set you have chosen. These templates
can be handy when you are in the first steps of creating your search engine. You can for
example choose to use a set of templates here and customize them by adding your own logo
or by changing some graphics or aspects. 
</span>
<ul>
  <li class="normaltext">If this is the trial version of PowerSeek then the templates are not available in the
    trial version. <br>
    &nbsp; </li>
  <li class="normaltext"><strong>If this is the commercial version of PowerSeek then </strong>no templates was
    found. Download the PowerSeek version that includes the templates. After you downloaded
    the version that includes the templates, extract the contents of the .zip archive. There
    will be directories that was extracted. One of those directories will be called 'html' -
    Inside this directory there will be a file called templates.fmp - Transfer this file to
    your PowerSeek 'html' directory and assign the permission setting of 777 to it. After that
    load this template switching tool again. The location of the 'html' directory is explained
    in the PowerSeek installation instructions. </li>
</ul>
]);
 

print qq[
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css"> 
</head>
<body>
$hbox
</body>
</html>
	];
	
	exit;
	}

$hbox = acs::get_heading_box("$web_url/ic_template2.gif", "Template Switching Tool ", qq[
<p>PowerSeek comes with a number of template sets. You can choose to use any one of the
template sets below and also customize the template set you have chosen. These templates
can be handy when you are in the first steps of creating your search engine. You can for
example choose to use a set of templates here and customize them by adding your own logo
or by changing some graphics or aspects.</p>

<p><strong>Caution: <font color="#FF0000">Switching to a template set is destructive!!! </font></strong>What
this means, is that the old templates you are currently using with PowerSeek will be
discarded when you choose to switch to another template set from here. In other words, any
template changes that you may have done will be lost when you switch to a new template set
from this Template Switching Tool. See the PowerSeek documentation on the 'Template
Switching Tool' to find out how to make backups of your existing templates before
switching to a new set of templates.</p>
]);  

print qq[
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

$hbox
];


#if ((-e "$data_dir/templates") < 1)
#	{
#	print qq[
#	<font face="Arial" size="2"><strong>Problem: </strong>Could not find any templates. Exiting.</font>
#	];
#	exit;
#	}






$total_thumbs = @small_thumbs;

#print "total: $total_thumbs <BR>";


##########

$table_start = qq[<form method="POST" action="$admin_url/p_tmptool.cgi"><input type="hidden" name="fct" value="update_templates">
						<table border="0" cellpadding="3" cellspacing="3" width="100%">];
$table_end = qq[</tr></table> <BR> <p align="center">
<input type="submit" value="Import Selected Template Set" name="B1"></form></p>];

##########


$row_cnt = 1;
foreach $item (@small_thumbs)
	{
	$bitem = $item;
	$bitem =~ s/small/big/g;
	
	if ($row_cnt == 1)
		{
		$table_middle = $table_middle . qq[<tr><td bgcolor="#F8F8F8" align="center"><BR><a href="$web_url/templates/$bitem" target="_blank"><img src="$web_url/templates/$item" border="0"></a><BR> <input type="radio" value="$item" checked name="tmpl"> <BR><BR></td>];
		$row_cnt++;
		}
		else
		{
		$table_middle = $table_middle . qq[<td bgcolor="#F8F8F8" align="center"><BR><a href="$web_url/templates/$bitem" target="_blank"><img src="$web_url/templates/$item" border="0"></a><BR> <input type="radio" value="$item" checked name="tmpl">  <BR><BR></td></tr>];
		$row_cnt = 1;
		}
		
	
	}

print $table_start . $table_middle . $table_end;

}





sub do_unpack1
{

$hbox = acs::get_heading_box("$web_url/ic_template2.gif", "Unpacking Templates... Please Don't Close This Window", qq[
<img src="$web_url/working.gif">
]); 

print qq[
<html>
<head>
<title>PowerSeek</title>
<meta HTTP-EQUIV="REFRESH" CONTENT="0;URL=$script_url/admin/p_tmptool.cgi?fct=unpack2">
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>
$hbox
</body>
</html>
];


exit;



}




sub do_unpack2
{


#$packfile = $q->param('packfile');
#$dest = $q->param('dest');

$packfile = "$web_dir/templates.fmp";
$dest = $web_dir;

#print "--> $packfile<BR>";

$filesize = (-s $packfile);
open (TFILECNTS, $packfile);
binmode(TFILECNTS);
	read(TFILECNTS,$thefile,$filesize);
close (TFILECNTS);

@file_chunks = split (/::340244::/, $thefile);

###########

foreach $f_chunk (@file_chunks)
	{
		($file_to_write, $filename) = split (/::1934215::/, $f_chunk);
		
		#print "-->UNPACKED: $dest/$filename<BR>";


		### MAKE DIRECTORIES IF REQUIRED
			my @dlevels = split (/\//, $filename);
			
				## create first level dir
				if ((-e "$dest/$dlevels[0]") < 1) 
						{ 
						#mkdir ("$dest/$dlevels[0]", $default_permissions) || die "Could not create directory: $dest/$dlevels[0] - $!";
						mkdir ("$dest/$dlevels[0]", $default_permissions);
						chmod($default_permissions,"$dest/$dlevels[0]","$dest/$dlevels[0]");  
						}
				
				## create second level dir
				if (((-e "$dest/$dlevels[1]") < 1) and ($dlevels[1] !~ /\./)) 
						{ 
						  #mkdir ("$dest/$dlevels[0]/$dlevels[1]", $default_permissions)  || die "Could not create directory: $dest/$dlevels[0]/$dlevels[1] - $!";
						  mkdir ("$dest/$dlevels[0]/$dlevels[1]", $default_permissions);
						  chmod($default_permissions,"$dest/$dlevels[0]/$dlevels[1]","$dest/$dlevels[0]/$dlevels[1]");  
						}
			
				
		### WRITE FILE
		
		open (FTW, "> $dest/$filename");
		binmode(FTW);
			print FTW $file_to_write;
		close (FTW);
		chmod($default_permissions,"$dest/$filename","$dest/$filename");  
	}

#print "Unpack COMPLETE!";

unlink ("$web_dir/templates.fmp");


$hbox = acs::get_heading_box("$web_url/ic_template2.gif", "Unpacking Templates... Please Don't Close This Window", qq[
<img src="$web_url/working.gif">
]); 

print qq[
<html>
<head>
<title>PowerSeek</title>
<meta HTTP-EQUIV="REFRESH" CONTENT="0;URL=$script_url/admin/p_tmptool.cgi">
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">  
</head>
<body>
$hbox
</body>
</html>
];



exit;

}



sub check_unpacked_templates
{

$files = "A87745095106.gif
A47575195100.gif
butarrow.gif
90.gif
kanoodle.gif
ic_html2.gif
40.gif
A17645195112.gif
A84615095101.gif
ic_restore.gif
A01605295103.gif
ic_lock.gif
A24115095104.gif
r1.gif
A15424995115.gif
A21115095105.gif
ic_html.gif
ic_modif.gif
ic_exc.gif
noref.gif
A80865095115.gif
cp_comments2.gif
accmore.gif
A4160529599.gif
ic_spam2.gif
ic_ulink.gif
ln_rating.gif
ic_home.gif
A78575295109.gif
ic_frontp2.gif
dbut.gif
A04354995101.gif
ic_email2.gif
ps_popul.gif
homeb.gif
A45775095107.gif
t_pop.gif
shad.gif
100.gif
A75475095119.gif
ic_newsub.gif
new3.gif
bar6.gif
A41764995100.gif
ic_spam.gif
ic_cat.gif
A73075095110.gif
ic_help.gif
ic_monitor.gif
10.gif
r6.gif
ic_alert.gif
ic_frontp.gif
A82225195120.gif
rss.gif
A15045195110.gif
ic_gen3.gif
ic_search.gif
A30315295107.gif
ic_gen.gif
A78735295114.gif
ic_misc.gif
A3831499598.gif
ic_kb.gif
t_rate.gif
A37405295120.gif
20.gif
i_import.gif
r5.gif
A16765095116.gif
go.gif
A50234995114.gif
A72354995109.gif
A7611509598.gif
bar.gif
r4.gif
b_settings.gif
ps.css
cp_logout.gif
A51014995121.gif
ic_planet.gif
pstop3.jpg
ic_backup1.gif
A60225195111.gif
ic_stats2.gif
tmplmngr.gif
A31215295115.gif
ic_install.gif
dar3.gif
ic_task.gif
A62464995108.gif
dircross.gif
ic_trepair.gif
loc.gif
t_link.gif
cpback.gif
ps_new.gif
ln_moreinfo.gif
A12185295110.gif
i_crawl.gif
b_home.gif
A17085195109.gif
stripl.gif
A18645195114.gif
ic_pr.gif
r8.gif
A00435195118.gif
A1487519599.gif
ic_email1.gif
rppc.gif
ic_spam3.gif
r9.gif
A68155095109.gif
A0718519597.gif
A00785095100.gif
d_addlink.gif
edittmpl.gif
backup.gif
working.gif
ic_rss.gif
b_tmplm2.gif
ps_login.gif
psmanual.jpg
first.gif
A6022529597.gif
A17644995112.gif
A83505095112.gif
ic_users.gif
lar.gif
ic_premium.gif
A57125195106.gif
ic_template2.gif
ic_banner.gif
A87085095121.gif
A16655295118.gif
support2.gif
A77335095118.gif
ic_settings6.gif
A06785195117.gif
A64584995119.gif
ic_email4.gif
A34745095117.gif
ic_spanner.gif
ic_settings3.gif
ic_erase.gif
A00485195119.gif
ic_dirs.gif
d_addir.gif
A4543529598.gif
A73024995120.gif
ic_texts.gif
A42315095114.gif
todob.gif
A05415295102.gif
searchfeed.gif
ic_brlnks.gif
ic_link.gif
A77845195102.gif
add.gif
nonexist2.gif
A71544995105.gif
A46885195113.gif
plug2.gif
htmlgen.jpg
t_search.gif
A32715095108.gif
A41345295117.gif
cp_modify.gif
ic_settings5.gif
A87555295101.gif
60.gif
d_addirm.gif
ic_tmplincl.gif
ic_comment.gif
b_home2.gif
cp_details.gif
A78485195105.gif
ic_crawl.gif
80.gif
ic_banner2.gif
A37585095111.gif
pstop1.gif
A48514995102.gif
ic_gear.gif
generate.gif
A76864995116.gif
ic_helps2.gif
ic_sql.gif
A22225195107.gif
logo5.gif
30.gif
shad2.gif
t_info.gif
b_userm.gif
ps_addprem.gif
A43735295121.gif
A08585195104.gif
A10165295116.gif
bwarn.gif
A17645095112.gif
b_dman.gif
A3424519598.gif
ic_bulb.gif
wiz2.jpg
pop
shadow.gif
A37265295111.gif
A63075295112.gif
A80485095120.gif
A40345195122.gif
new1.gif
A64315295113.gif
A3864509599.gif
d_addlink2.gif
A67645195103.gif
A42065295119.gif
t_new.gif
ic_play.gif
navb.gif
A57664995113.gif
A22104995110.gif
ic_todo.gif
b_settings2.gif
pshome.jpg
A4662509597.gif
50.gif
A7302499599.gif
ln_comments.gif
ps_reg.gif
lary.gif
A31865295100.gif
psshad.gif
70.gif
ic_dirm.gif
userman1.gif
wiz1.jpg
ic_email3.gif
restore.gif
A27575295122.gif
A03054995106.gif
A05635195121.gif
ps_addurl.gif
ic_scloud.gif
A37155295108.gif
A36814995122.gif
t_mod.gif
ic_chart.gif
critical.gif
ic_stats.gif
A87415295106.gif
ic_pop.gif
pssupport.jpg
logo5.jpg
subdir.gif
ic_up.gif
ic_gen2.gif
nonexist.gif
A54145095103.gif
A16434995104.gif
working2.gif
ic_frontp3.gif
b_tmplm.gif
locked.gif
A11204995117.gif
ln_report.gif
pscp.jpg
manual.gif
userman2.gif
A44605295104.gif
ic_ukey.gif
ic_template.gif
A65884995111.gif
bhelps.gif
ic_plugins.gif
ic_pop2.gif
ic_key.gif
new2.gif
cp_links.gif
t_dir.gif
b_dman2.gif
ic_settings4.gif
A24824995107.gif
A23035095122.gif
A62055195116.gif
r10.gif
plug.gif
ic_helps.gif
i_odp.gif
home.gif
todoy.gif
r7.gif
ic_backup2.gif
A35715295105.gif
A22315195101.gif
dir.gif
A47485195115.gif
templm.gif
ic_exclamation.gif
t_user.gif
A1378499597.gif
r3.gif
t_comm.gif
r2.gif
psshad2.gif
ic_psgen.gif
A63035195108.gif
ic_gen4.gif
A53245095102.gif
A53815095113.gif
A56404995118.gif
ic_crawl2.gif
ic.gif
ic_dmoz.gif
premi2.gif
cpsearch.jpg
lar3.gif
ic_settings3_1.gif
ic_settings3_1.jpg
lar4.gif
b_userm2.gif
baddurl.gif
baddurlp.gif
bmodify.gif
lnkman1.gif
lnkman2.gif
lnkn.gif
uman.gif
uman1.gif
uman2.gif
whatsnew.gif
lar5.gif
link_img.gif
ic_folders.gif
link_norm.gif
link_file.gif
psbck.jpg
temp.txt
sep1556.gif
ic_plugins_main.gif
ic_settings3_1_main.gif
ic_email2_long.gif
ic_settings6_long.gif
ic_template_long.gif
ic_todo_l.gif
dbut2.gif
ic_banner_long.gif
dbut3.gif
psarr.gif
ic_fav.gif
ic_dupl.gif
ic_df.gif
ic_del.gif
ic_dupl2.gif
ic_search2.gif
ic_searchc1.gif
ic_searchc2.gif
ic_searchc3.gif
ic_searchc4.gif
ic_searchc5.gif
ic_search22.gif";


my @all_files = split (/\n/, $files);

for ($ms = 0; $ms < 36; $ms++)
	{ 
	
	if (length($ms) == 1) { $ctm = "00" . $ms; }
	else { $ctm = "0" . $ms;}
	
	
	$dirtoopen = "$web_dir/templates/$ctm";
	
	print "<b>Directory:</b> $dirtoopen <BR>";

		opendir(DIR,"$dirtoopen");
		my @files = readdir(DIR);

		foreach $filename (@files)
			{
			if (($filename ne ".") and ($filename ne ".."))
				{
					foreach $fitem (@all_files)
						{
						if ($filename eq $fitem)
							{
								print "$fitem<BR>";
								###&check_inuse($dirtoopen, $filename);
								
							}
						}
				}
			}
 
  	
 	}
 

}


sub check_inuse
{
my ($thedir, $ff) = @_;
$found_file = "false";


	opendir(DIR2,"$thedir");
		my @files2 = readdir(DIR2);

		foreach $filename2 (@files2)
			{
			if (substr($filename2, length($filename2)-5, 5) eq ".html")
				{
				$tempd = acs::get_file_contents("$thedir/$filename2");  
				
				if ($tempd =~ /\/$ff/)	
					{
					$found_file = "true";
					}
				}
			
			
			}

	closedir (DIR2);

if ($found_file eq "false")
	{
	unlink ("$thedir/$ff");
	print "-> $thedir/$ff<BR>";
	}

}





sub get_setup
{

$exists = (-e "$config_cgi");
if ($exists > 0)
	{
	open (STP, "$config_cgi");
		while (defined($line=<STP>))
			{
			if ($line =~ m/#/g)
				{
				$r = pos($line);
				$line = substr($line, 0, $r - 1);
				}
				
				$line =~ s/\n//g;
	
if ($line =~ /^DB_NAME/){$db_name = &get_setup_line($line, DB_NAME);}
if ($line =~ /^DB_USERNAME/){$db_username = &get_setup_line($line, DB_USERNAME);}
if ($line =~ /^DB_PASSWORD/){$db_password = &get_setup_line($line, DB_PASSWORD);}
if ($line =~ /^MYSQL_HOSTNAME/){$mysql_hostname = &get_setup_line($line, MYSQL_HOSTNAME);}
if ($line =~ /^MYSQL_PORT/){$mysql_port = &get_setup_line($line, MYSQL_PORT);}

if ($line =~ /^SCRIPT_URL/){$script_url = &get_setup_line($line, SCRIPT_URL);}
if ($line =~ /^ADMIN_URL/){$admin_url = &get_setup_line($line, ADMIN_URL);}
if ($line =~ /^WEB_URL/){$web_url = &get_setup_line($line, WEB_URL);}
if ($line =~ /^WEB_DIR/){$web_dir = &get_setup_line($line, WEB_DIR);}
if ($line =~ /^DATA_DIR/){$data_dir = &get_setup_line($line, DATA_DIR);}

if ($line =~ /^USERNAME/){$username = &get_setup_line($line, USERNAME);}
if ($line =~ /^PASSWORD/){$password = &get_setup_line($line, PASSWORD);}


			}
	close (STP);
	
	}
}




sub get_setup_line
{
my ($setup_line, $setup_var) = @_;
$crit = "\"";
$setup_line =~ m/$crit/g;
$r1 = pos($setup_line);
$setup_line =~ m/$crit/g;
$r2 = pos($setup_line);
$setup_line = substr($setup_line, $r1, ($r2 - $r1 - 1));
$return_val = $setup_line;
return ($return_val);
}

#### END CONFIGURATION ########################################################

